Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| Apache Derby 10.5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.derby.jdbc
Class EmbeddedConnectionPoolDataSource

    java.lang.Object
      org.apache.derby.jdbc.ReferenceableDataSource
          org.apache.derby.jdbc.EmbeddedDataSource
              org.apache.derby.jdbc.EmbeddedConnectionPoolDataSource

All Implemented Interfaces:
  java.io.Serializable, javax.naming.Referenceable, javax.naming.spi.ObjectFactory, javax.sql.ConnectionPoolDataSource, javax.sql.DataSource

    public class EmbeddedConnectionPoolDataSource

extends EmbeddedDataSource
implements javax.sql.ConnectionPoolDataSource

EmbeddedConnectionPoolDataSource is Derby's ConnectionPoolDataSource implementation for the JDBC3.0 environment.

A ConnectionPoolDataSource is a factory for PooledConnection objects. An object that implements this interface will typically be registered with a JNDI service.

EmbeddedConnectionPoolDataSource automatically supports the correct JDBC specification version for the Java Virtual Machine's environment.

- JDBC 3.0 - Java 2 - JDK 1.4, J2SE 5.0

EmbeddedConnectionPoolDataSource is serializable and referenceable.

See EmbeddedDataSource for DataSource properties.

See Also:
  Serialized Form

Constructor Summary
`EmbeddedConnectionPoolDataSource()` No-arg constructor.

Method Summary
`protected javax.sql.PooledConnection` | `createPooledConnection(java.lang.String user, java.lang.String password, boolean requestPassword)` Create and return an EmbedPooledConnection from this instance of EmbeddedConnectionPoolDataSource.
`javax.sql.PooledConnection` | `getPooledConnection()` Attempt to establish a database connection.
`javax.sql.PooledConnection` | `getPooledConnection(java.lang.String username, java.lang.String password)` Attempt to establish a database connection.

Methods inherited from class org.apache.derby.jdbc.EmbeddedDataSource
`equals, getAttributesAsPassword, getConnection, getConnection, getConnectionAttributes, getCreateDatabase, getShutdownDatabase, setAttributesAsPassword, setConnectionAttributes, setCreateDatabase, setShutdownDatabase`

Methods inherited from class org.apache.derby.jdbc.ReferenceableDataSource
`getDatabaseName, getDataSourceName, getDescription, getLoginTimeout, getLogWriter, getObjectInstance, getPassword, getReference, getUser, setDatabaseName, setDataSourceName, setDescription, setLoginTimeout, setLogWriter, setPassword, setUser`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.sql.ConnectionPoolDataSource
`getLoginTimeout, getLogWriter, setLoginTimeout, setLogWriter`

Methods inherited from interface javax.sql.DataSource
`getLoginTimeout, getLogWriter, setLoginTimeout, setLogWriter`

Constructor Detail

### EmbeddedConnectionPoolDataSource

    public EmbeddedConnectionPoolDataSource()

  No-arg constructor.

Method Detail

### getPooledConnection

    public final javax.sql.PooledConnection getPooledConnection()
                                                         throws java.sql.SQLException

  Attempt to establish a database connection.

  Specified by:
    `getPooledConnection` in interface `javax.sql.ConnectionPoolDataSource`
  Returns:
    a Connection to the database
  Throws:
    `java.sql.SQLException` - if a database-access error occurs.

### getPooledConnection

    public final javax.sql.PooledConnection getPooledConnection(java.lang.String username,
                                                                java.lang.String password)
                                                         throws java.sql.SQLException

  Attempt to establish a database connection.

  Specified by:
    `getPooledConnection` in interface `javax.sql.ConnectionPoolDataSource`
  Parameters:
    `username` - the database user on whose behalf the Connection is being made
    `password` - the user's password
  Returns:
    a Connection to the database
  Throws:
    `java.sql.SQLException` - if a database-access error occurs.

### createPooledConnection

    protected javax.sql.PooledConnection createPooledConnection(java.lang.String user,
                                                                java.lang.String password,
                                                                boolean requestPassword)
                                                         throws java.sql.SQLException

  Create and return an EmbedPooledConnection from this instance of EmbeddedConnectionPoolDataSource.

  Throws:
    `java.sql.SQLException`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| Built on Tue 2009-04-14 13:32:48-0700, from revision 764942
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache Derby 10.5 API Documentation - Copyright © 2004,2008 The Apache Software Foundation. All Rights Reserved.